UPDATE : ohanhi/elm-native-ui/examples/Counter

Cloner le dépôt /!\ depuis un shell windows (win + x -> Invite de commandes)

Créer 2 nouvelles variables d’environnement pour pointer sur adb (debugger Android) (env. utilisateur)

  • C:\Users\ju\AppData\Local\Android\sdk
  • C:\Users\ju\AppData\Local\Android\sdk\platform-tools

Sous xxx/elm-native-ui/examples :

  • react-native init Counter
  • git revert index.android.js / index.ios.js / package.json
  • renommer precompile en _precompile car la commande “rm” ne fonctionne sur mon windows

Sous xxx/elm-native-ui/examples/Counter

  • npm run compile

React-native v0.46 se base sur le module externe “react-navigation”

  • yarn add react-navigation

Charger l’appli sur le tél :

  • react-native run-android

Compilation auto (elm -> js)

  • editer package.json
  • changement des quotes simples en double quote :
  • “watch”: “chokidar \”**/*.elm\” -c \”npm run compile\””
  • dans un shell (win + x + invite de commandes)
  • npm run watch
Error calling Appregistry.runApplication when you launch your app by typing react-native run-android
So, reach your directory containing “adb.exe” ( for me it was C:\Users\username\AppData\Local\Android\Sdk\platform-tools\ )
open a terminal from here. And type adb reverse tcp:8081 tcp:8081
Then, by reloading the app on the phone, it should work.
http://stackoverflow.com/questions/43744156/error-calling-appregistry-runapplication-in-react-native


Installation de anaconda3 : permet de gérer plusieurs environnement Python et vient avec l’ensemble des installers requis notamment pip3 qui est un gestionnaire de package Python.

https://conda.io/docs/using/envs.html

conda info --envs
conda update condat
pip3 install --upgrade pip
  • condata create --name ml → créer un nouvel environnement
  • activate ml

cf. C:\Users\ju\Anaconda3\envs

  • pip3 install — upgrade matplotlib numpy pandas scipy scikit-learn

Si il y a des erreurs :

Try this :

  • pip3 install numpy‑1.13.0+mkl‑cp35‑cp35m‑win32.whl
  • pip3 install scipy-0.19.0-cp35-cp35m-win32.whl

les fichiers .whl (python 3.5 et 32-bit) étant téléchargés depuis http://www.lfd.uci.edu/~gohlke/pythonlibs/#scipy . . .

Pour vérifier que toutes les libs sont OK :

  • c:\users\ju\appdata\local\programs\python\python35–32\python.exe -c “import jupyter, matplotlib, numpy, pandas, scipy, sklearn”
Show your support

Clapping shows how much you appreciated Julien’s story.